Class | Rinda::RingProvider
In: | rinda/ring.rb
Parent: | Object

RingProvider uses a RingServer advertised TupleSpace as a name service. TupleSpace clients can register themselves with the remote TupleSpace and look up other provided services via the remote TupleSpace.

Services are registered with a tuple of the format [:name, klass, DRbObject, description].

### Methods

new provide

### Public Class methods

new(klass, front, desc, renewer = nil)

Creates a RingProvider that will provide a `klass` service running on `front`, with a `description`. `renewer` is optional.

[Source]

    # File rinda/ring.rb, line 232
        def initialize(klass, front, desc, renewer = nil)
          @tuple = [:name, klass, front, desc]
          @renewer = renewer || Rinda::SimpleRenewer.new
        end

### Public Instance methods

provide()

Advertises this service on the primary remote TupleSpace.

[Source]

    # File rinda/ring.rb, line 240
        def provide
          ts = Rinda::RingFinger.primary
          ts.write(@tuple, @renewer)
        end

[Validate]